> ## Documentation Index
> Fetch the complete documentation index at: https://docs.convocore.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Workspace

> Creates a new workspace, this route must use the new V3 [endpoints](/api-reference/v3/intro).

## Example Request

```json theme={null}
{
  "workspaceName": "My Team Workspace",
  "workspaceEmails": [
    "teammate1@example.com",
    "teammate2@example.com"
  ]
}
```

<Note>
  `workspaceName` is required. Team members added via `workspaceEmails` will receive an invitation.
</Note>

<Tip>
  Workspace limits depend on your subscription plan. Check your plan's workspace seat allocation.
</Tip>


## OpenAPI

````yaml POST /workspaces
openapi: 3.0.3
info:
  title: Convocore OpenAPI
  description: Full API reference for Convocore
  version: 1.0.4
servers:
  - url: https://eu-gcp-api.vg-stuff.com/v3
    description: EU Node.js API server
  - url: https://na-gcp-api.vg-stuff.com/v3
    description: NA Node.js API server
security: []
paths:
  /workspaces:
    post:
      tags:
        - Workspaces
      summary: Create a new workspace
      operationId: createWorkspace
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                workspaceName:
                  type: string
                workspaceEmails:
                  type: array
                  items:
                    type: string
              required:
                - workspaceName
              additionalProperties: false
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  message:
                    type: string
                  data: {}
                required:
                  - success
                  - message
                additionalProperties: false
        default:
          $ref: '#/components/responses/error'
      security:
        - Authorization: []
components:
  responses:
    error:
      description: Error response
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
              code:
                type: string
              issues:
                type: array
                items:
                  type: object
                  properties:
                    message:
                      type: string
                  required:
                    - message
                  additionalProperties: false
            required:
              - message
              - code
            additionalProperties: false
  securitySchemes:
    Authorization:
      type: http
      scheme: bearer

````